# autoconf macros for detecting libgstroke support 
# Use AC_CHECK_LIBGSTROKE in your configure.in.  

dnl AC_CHECK_LIBGSTROKE
dnl  The HAVE_LIBGSTROKE macro will be defined (to be used in
dnl  config.h.in) and gstroke_CFLAGS gstroke_LIBS will be set to proper
dnl  values (to be used for compiling and linking)
dnl  --with-gstroke-library and --with-gstroke-includes can be used to
dnl  tell configure where to find the gstroke.h header file and the
dnl  libgstroke library
AC_DEFUN([AC_CHECK_LIBGSTROKE],
[
	smr_CHECK_LIB(gstroke, , mouse strokes recognition, gstroke_enable, gstroke.h,  $GTK_LIBS, $GTK_CFLAGS)
	AC_SUBST(gstroke_LIBS)
	AC_SUBST(gstroke_CFLAGS)
	if test "x$with_gstroke" = xyes; then
		AC_DEFINE(HAVE_GSTROKE)
	fi
])
